

<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" />
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  
  <title>&lt;no title&gt; &mdash; posydon 0+untagged.3754.gf69f455.dirty documentation</title>
  

  
  <link rel="stylesheet" href="../_static/css/theme.css" type="text/css" />
  <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />

  
  

  
  

  

  
  <!--[if lt IE 9]>
    <script src="../_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
    
      <script type="text/javascript" id="documentation_options" data-url_root="../" src="../_static/documentation_options.js"></script>
        <script src="../_static/jquery.js"></script>
        <script src="../_static/underscore.js"></script>
        <script src="../_static/doctools.js"></script>
        <script src="../_static/language_data.js"></script>
    
    <script type="text/javascript" src="../_static/js/theme.js"></script>

    
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" /> 
</head>

<body class="wy-body-for-nav">

   
  <div class="wy-grid-for-nav">
    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
          

          
            <a href="../index.html" class="icon icon-home"> posydon
          

          
          </a>

          
            
            
              <div class="version">
                0+untagged.3754.gf69f455.dirty
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        
        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <ul>
<li class="toctree-l1"><a class="reference internal" href="../install/index.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="../run_mesa_grids/inifile.html">Configuration files for POSYDON</a></li>
<li class="toctree-l1"><a class="reference internal" href="../run_mesa_grids/dynamic/dynamic.html">Run a Dynamic MESA Grid</a></li>
<li class="toctree-l1"><a class="reference internal" href="../run_mesa_grids/fixed/fixed.html">Run a Fixed MESA Grid</a></li>
<li class="toctree-l1"><a class="reference internal" href="../PSyGrid/PSyGrid.html">The PSyGrid Object</a></li>
<li class="toctree-l1"><a class="reference internal" href="../PSyGrid/plot2D/plot2D.html">Showcase of 2D plotting functionalities</a></li>
<li class="toctree-l1"><a class="reference internal" href="../PSyGrid/plot1D/plot1D.html">Showcase of 1D plotting functionalities</a></li>
<li class="toctree-l1"><a class="reference internal" href="../SingleStar/SingleStar.html">The Single Star Object</a></li>
<li class="toctree-l1"><a class="reference internal" href="../BinaryStar/BinaryStar.html">The Binary Star Object</a></li>
<li class="toctree-l1"><a class="reference internal" href="../visualization/VH_diagram.html">Van den Heuvel diagrams</a></li>
</ul>

            
          
        </div>
        
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../index.html">posydon</a>
        
      </nav>


      <div class="wy-nav-content">
        
        <div class="rst-content">
        
          

















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="../index.html" class="icon icon-home"></a> &raquo;</li>
        
      <li>&lt;no title&gt;</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
          
            <a href="../_sources/api/posydon.visualization.plot2D.rst.txt" rel="nofollow"> View page source</a>
          
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <span class="target" id="module-posydon.visualization.plot2D"></span><p>Plotting class for 2D (MESA) psygrids.</p>
<p>The 2D visualization plotting class allows to plot 2D slices of PsyGrid
objects. The PsyGrid object is composed of 2D/3D/4D MESA grid run with POSYDON
and post processed with the psygrid object into an h5 file.</p>
<dl class="py class">
<dt id="posydon.visualization.plot2D.plot2D">
<em class="property">class </em><code class="sig-prename descclassname">posydon.visualization.plot2D.</code><code class="sig-name descname">plot2D</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">psygrid</span></em>, <em class="sig-param"><span class="n">x_var_str</span></em>, <em class="sig-param"><span class="n">y_var_str</span></em>, <em class="sig-param"><span class="n">z_var_str</span><span class="o">=</span><span class="default_value">None</span></em>, <em class="sig-param"><span class="n">termination_flag</span><span class="o">=</span><span class="default_value">'termination_flag_1'</span></em>, <em class="sig-param"><span class="n">grid_3D</span><span class="o">=</span><span class="default_value">False</span></em>, <em class="sig-param"><span class="n">slice_3D_var_str</span><span class="o">=</span><span class="default_value">None</span></em>, <em class="sig-param"><span class="n">slice_3D_var_range</span><span class="o">=</span><span class="default_value">None</span></em>, <em class="sig-param"><span class="n">grid_4D</span><span class="o">=</span><span class="default_value">False</span></em>, <em class="sig-param"><span class="n">slice_4D_var_str</span><span class="o">=</span><span class="default_value">None</span></em>, <em class="sig-param"><span class="n">slice_4D_var_range</span><span class="o">=</span><span class="default_value">None</span></em>, <em class="sig-param"><span class="n">extra_grid</span><span class="o">=</span><span class="default_value">None</span></em>, <em class="sig-param"><span class="n">slice_at_RLO</span><span class="o">=</span><span class="default_value">False</span></em>, <em class="sig-param"><span class="n">MARKERS_COLORS_LEGENDS</span><span class="o">=</span><span class="default_value">None</span></em>, <em class="sig-param"><span class="n">verbose</span><span class="o">=</span><span class="default_value">False</span></em>, <em class="sig-param"><span class="o">**</span><span class="n">kwargs</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/plot2D.html#plot2D"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.plot2D.plot2D" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.9)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
<p>Plotting class for 2D (MESA) grids.</p>
<p>Read a PsyGrid object and plot a 2D slice of x vs y.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>psygrid</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.9)"><em>object</em></a>) – PsyGrid object containing a 2D/3D/4D MESA grid.</p></li>
<li><p><strong>x_var_str</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.9)"><em>str</em></a>) – String of the initial value to plot on the x axis. Allowed strings
are <cite>psygrid.initial_values.dtype.names</cite>.</p></li>
<li><p><strong>y_var_str</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.9)"><em>str</em></a>) – String of the initial value to plot on the y axis. Allowed strings
are <cite>psygrid.initial_values.dtype.names</cite>.</p></li>
<li><p><strong>z_var_str</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.9)"><em>str</em></a>) – String of the initial value to plot on the z axis (displayed as
a color). Allowed strings are
<cite>psygrid.final_values.dtype.names</cite>, <cite>psygrid.history1.dtype.names</cite>,
<cite>psygrid.binary_history.dtype.names</cite>.</p></li>
<li><p><strong>termination_flag</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.9)"><em>str</em></a>) – Termination flag to display, allowed values are:
“termination_flag_1”, “termination_flag_2”, “termination_flag_3”,
“termination_flag_4”, “all”.</p></li>
<li><p><strong>grid_3D</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#bool" title="(in Python v3.9)"><em>bool</em></a>) – If <cite>True</cite>, the psygrid object is a 3D grid and needs to be sliced.</p></li>
<li><p><strong>slice_3D_var_str</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.9)"><em>str</em></a>) – Variable along which the 3D space will be sliced. Allowed values
are <cite>psygrid.initial_values.dtype.names</cite>.</p></li>
<li><p><strong>slice_3D_var_range</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#tuple" title="(in Python v3.9)"><em>tuple</em></a>) – Range between which you want to slice the variable slice_3D_var_str
e.g., <cite>(2.5,3.)</cite>.</p></li>
<li><p><strong>grid_4D</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#bool" title="(in Python v3.9)"><em>bool</em></a>) – If <cite>True</cite>, the psygrid object is a 4D grid and needs to be sliced.</p></li>
<li><p><strong>slice_4D_var_str</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.9)"><em>str</em></a>) – Variable along which the 4D space will be sliced. Allowed values
are <cite>psygrid.initial_values.dtype.names</cite>.</p></li>
<li><p><strong>slice_4D_var_range</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#tuple" title="(in Python v3.9)"><em>tuple</em></a>) – Range between which you want to slice the variable slice_4D_var_str
e.g., <cite>(2.5,3.)</cite>.</p></li>
<li><p><strong>extra_grid</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.9)"><em>object</em></a><em> or </em><em>array of objects</em>) – If subset of the grid was rerun a or an extention was added, one
can overlay the new psygrid by passing it here.</p></li>
<li><p><strong>slice_at_RLO</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#bool" title="(in Python v3.9)"><em>bool</em></a>) – If <cite>True</cite>, the object plots the tracks until onset of Roche Lobe
overflow.</p></li>
<li><p><strong>MARKERS_COLORS_LEGENDS</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#dict" title="(in Python v3.9)"><em>dict</em></a>) – Each termination flag is associated with a marker shape, size,
color and label (cf. <cite>MARKERS_COLORS_LEGENDS</cite> in
<cite>plot_defaults.py</cite>).</p></li>
<li><p><strong>DEFAULT_LABELS</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#dict" title="(in Python v3.9)"><em>dict</em></a>) – Each varaible is associated to an axis label. (cf. <cite>DEFAULT_LABELS</cite>
in <cite>plot_defaults.py</cite>).</p></li>
<li><p><strong>verbose</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#bool" title="(in Python v3.9)"><em>bool</em></a>) – If <cite>True</cite>, the object reports by printing to standard output.</p></li>
<li><p><strong>**kwargs</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#dict" title="(in Python v3.9)"><em>dict</em></a>) – Dictionary containing extra visualisation options (cf.
<cite>PLOT_PROPERTIES</cite> in <cite>plot_defaults.py</cite>.</p></li>
</ul>
</dd>
</dl>
<dl class="py method">
<dt id="posydon.visualization.plot2D.plot2D.add_properties_to_final_values">
<code class="sig-name descname">add_properties_to_final_values</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">termination_flag</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/plot2D.html#plot2D.add_properties_to_final_values"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.plot2D.plot2D.add_properties_to_final_values" title="Permalink to this definition">¶</a></dt>
<dd><p>Add extra initial values.</p>
</dd></dl>

<dl class="py method">
<dt id="posydon.visualization.plot2D.plot2D.add_properties_to_initial_values">
<code class="sig-name descname">add_properties_to_initial_values</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/plot2D.html#plot2D.add_properties_to_initial_values"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.plot2D.plot2D.add_properties_to_initial_values" title="Permalink to this definition">¶</a></dt>
<dd><p>Add extra initial values.</p>
</dd></dl>

<dl class="py method">
<dt id="posydon.visualization.plot2D.plot2D.get_x_var">
<code class="sig-name descname">get_x_var</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/plot2D.html#plot2D.get_x_var"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.plot2D.plot2D.get_x_var" title="Permalink to this definition">¶</a></dt>
<dd><p>Get x value to plot.</p>
</dd></dl>

<dl class="py method">
<dt id="posydon.visualization.plot2D.plot2D.get_y_var">
<code class="sig-name descname">get_y_var</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/plot2D.html#plot2D.get_y_var"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.plot2D.plot2D.get_y_var" title="Permalink to this definition">¶</a></dt>
<dd><p>Get y value to plot.</p>
</dd></dl>

<dl class="py method">
<dt id="posydon.visualization.plot2D.plot2D.get_z_var">
<code class="sig-name descname">get_z_var</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/plot2D.html#plot2D.get_z_var"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.plot2D.plot2D.get_z_var" title="Permalink to this definition">¶</a></dt>
<dd><p>Get z value to plot.</p>
</dd></dl>

<dl class="py method">
<dt id="posydon.visualization.plot2D.plot2D.plot_panel">
<code class="sig-name descname">plot_panel</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">ax</span></em>, <em class="sig-param"><span class="n">extra_grid_call</span><span class="o">=</span><span class="default_value">False</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/plot2D.html#plot2D.plot_panel"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.plot2D.plot2D.plot_panel" title="Permalink to this definition">¶</a></dt>
<dd><p>Plot the 2D pannel.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>ax</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.9)"><em>object</em></a>) – matplotlib figure axes.</p></li>
<li><p><strong>extra_grid_call</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#bool" title="(in Python v3.9)"><em>bool</em></a>) – If <cite>True</cite>, one ore more extra grids are passed.</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt id="posydon.visualization.plot2D.plot2D.set_color_bar">
<code class="sig-name descname">set_color_bar</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">scatter</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/plot2D.html#plot2D.set_color_bar"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.plot2D.plot2D.set_color_bar" title="Permalink to this definition">¶</a></dt>
<dd><p>Add colorbar.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>scatters</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.9)"><em>object</em></a>) – matplotlib scatter object.</p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt id="posydon.visualization.plot2D.plot2D.set_legend">
<code class="sig-name descname">set_legend</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">ax</span></em>, <em class="sig-param"><span class="n">scatters</span></em>, <em class="sig-param"><span class="n">scatters_legend</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/plot2D.html#plot2D.set_legend"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.plot2D.plot2D.set_legend" title="Permalink to this definition">¶</a></dt>
<dd><p>Add legend.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>ax</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.9)"><em>object</em></a>) – matplotlib figure axes.</p></li>
<li><p><strong>scatters</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.9)"><em>object</em></a>) – matplotlib scatter object.</p></li>
<li><p><strong>scatters_legend</strong> (<em>list of str</em>) – List of strings which will be used as labels.</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt id="posydon.visualization.plot2D.plot2D.set_title">
<code class="sig-name descname">set_title</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">fig</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/plot2D.html#plot2D.set_title"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.plot2D.plot2D.set_title" title="Permalink to this definition">¶</a></dt>
<dd><p>Add title.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>fig</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.9)"><em>object</em></a>) – matplotlib figure object.</p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt id="posydon.visualization.plot2D.plot2D.set_xlabel">
<code class="sig-name descname">set_xlabel</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/plot2D.html#plot2D.set_xlabel"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.plot2D.plot2D.set_xlabel" title="Permalink to this definition">¶</a></dt>
<dd><p>Add x label.</p>
</dd></dl>

<dl class="py method">
<dt id="posydon.visualization.plot2D.plot2D.set_xlim">
<code class="sig-name descname">set_xlim</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/plot2D.html#plot2D.set_xlim"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.plot2D.plot2D.set_xlim" title="Permalink to this definition">¶</a></dt>
<dd><p>Set x axes limits.</p>
</dd></dl>

<dl class="py method">
<dt id="posydon.visualization.plot2D.plot2D.set_ylabel">
<code class="sig-name descname">set_ylabel</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/plot2D.html#plot2D.set_ylabel"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.plot2D.plot2D.set_ylabel" title="Permalink to this definition">¶</a></dt>
<dd><p>Add y label.</p>
</dd></dl>

<dl class="py method">
<dt id="posydon.visualization.plot2D.plot2D.set_ylim">
<code class="sig-name descname">set_ylim</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/plot2D.html#plot2D.set_ylim"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.plot2D.plot2D.set_ylim" title="Permalink to this definition">¶</a></dt>
<dd><p>Set y axes limits.</p>
</dd></dl>

<dl class="py method">
<dt id="posydon.visualization.plot2D.plot2D.update_markers_colors_legends">
<code class="sig-name descname">update_markers_colors_legends</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">termination_flag</span></em>, <em class="sig-param"><span class="n">MARKERS_COLORS_LEGENDS</span><span class="o">=</span><span class="default_value">None</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/plot2D.html#plot2D.update_markers_colors_legends"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.plot2D.plot2D.update_markers_colors_legends" title="Permalink to this definition">¶</a></dt>
<dd><p>Udpdate markers, colors and legend.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>termination_flag</strong> (<em>string</em>) – Termination flag to display, allowed values are:
“termination_flag_1”, “termination_flag_2”, “termination_flag_3”,
“termination_flag_4”.</p></li>
<li><p><strong>MARKERS_COLORS_LEGENDS</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#dict" title="(in Python v3.9)"><em>dict</em></a>) – Each termination flag is associated with a marker shape, size,
color and label.</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt id="posydon.visualization.plot2D.plot2D.update_values_to_plot">
<code class="sig-name descname">update_values_to_plot</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">termination_flag</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/plot2D.html#plot2D.update_values_to_plot"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.plot2D.plot2D.update_values_to_plot" title="Permalink to this definition">¶</a></dt>
<dd><p>Update all values to plot.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>termination_flag</strong> (<em>string</em>) – Termination flag to display, allowed values are:
“termination_flag_1”, “termination_flag_2”, “termination_flag_3”,
“termination_flag_4”.</p>
</dd>
</dl>
</dd></dl>

</dd></dl>



           </div>
           
          </div>
          <footer>

  <hr/>

  <div role="contentinfo">
    <p>
        &#169; Copyright 2019, Tassos Fragkos.

    </p>
  </div>
    
    
    
    Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    
    provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>
        </div>
      </div>

    </section>

  </div>
  

  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script>

  
  
    
   

</body>
</html>